Subject: [Sip] Passing added call information in the SIP packet

From: [email-masked]
Date: Wed, 23 Apr 2008 13:29:02 -0400

Hi,
   I have been an user of SIP for a while, but never got into the need to extend it.  I have tried to do an extensive research to see if there are any draft or RFC that handles the requirements that I am requested to do.  Here is the scenario that I am trying to fulfill.

A UA (custom hardware/software) wants to place or change the call into a secure call.  It notifies the other participant by an INVITE or NOTIFY and both UA agree on the change and the details of the security.  There are several different method of securing the call, and that would be included in the parameter passed between the UA.  If this is not possible is there a way to embed the parameters into the header of the INVITE or NOTIFY so at least both UA know of the request?

There are a few phones on the market today some using SKINNY and others using SIP, but it appears that it is being done outside of the SIP traffic.   If anyone can either tell me which draft or RFC to look at; that I missed.  If this does not exist, is there others out there that are interested in this type of change to SIP; that would like to discuss it?  

Thanks,
Todd Binns
Senior Software Engineer - Communications
Henschel, L-3 Communications
9 Malcolm Hoyt Drive
Newburyport, MA 01950-4017
Phone: 978.462.2400 Ext: 306
Email: [email-masked]

_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Wed, 23 Apr 2008 14:26:40 -0400

From: [email-masked]

   A UA (custom hardware/software) wants to place or change the call into a =
   secure call.  It notifies the other participant by an INVITE or NOTIFY =
   and both UA agree on the change and the details of the security.  There =
   are several different method of securing the call, and that would be =
   included in the parameter passed between the UA.  If this is not =
   possible is there a way to embed the parameters into the header of the =
   INVITE or NOTIFY so at least both UA know of the request?

If both UAs are your design, you can just add a private header (whose
name starts with "X-") to carry the additional information.  SIP
agents that do not understand the header are required to ignore it.

Dale

---

From: "Dan Wing" <[email-masked]>
Date: Wed, 23 Apr 2008 14:15:51 -0700

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Wednesday, April 23, 2008 10:29 AM
> To: [email-masked]
> Subject: [Sip] Passing added call information in the SIP packet
> 
> Hi, 
>    I have been an user of SIP for a while, but never got into 
> the need to extend it.  I have tried to do an extensive 
> research to see if there are any draft or RFC that handles 
> the requirements that I am requested to do.  Here is the 
> scenario that I am trying to fulfill.
> 
> A UA (custom hardware/software) wants to place or change the 
> call into a secure call. 

Secure call = SRTP (RFC3711)?

-d

> It notifies the other participant 
> by an INVITE or NOTIFY and both UA agree on the change and 
> the details of the security.  There are several different 
> method of securing the call, and that would be included in 
> the parameter passed between the UA.  If this is not possible 
> is there a way to embed the parameters into the header of the 
> There are a few phones on the market today some using SKINNY 
> and others using SIP, but it appears that it is being done 
> outside of the SIP traffic.   If anyone can either tell me 
> which draft or RFC to look at; that I missed.  If this does 
> not exist, is there others out there that are interested in 
> this type of change to SIP; that would like to discuss it?  
> 
> Thanks, 
> Todd Binns 
> Email: [email-masked] <mailto:[email-masked]>  
>   
> 
>

---

From: "Robins, Ellen" <[email-masked]>
Date: Thu, 24 Apr 2008 08:52:17 +1000

Hi everyone,
Please help to provide an easy to understand explanation of differences
between SIP and TEL URI.
What is the latest preference/recommendation?
Thanks in advance / Ellen Robins
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Dean Willis <[email-masked]>
Date: Wed, 23 Apr 2008 22:19:33 -0500

> What is the latest preference/recommendation?

A TEL URI encodes a user identity that is a telephone number. A SIP  
URI encodes a user identity that may be a telephone number, may just  
look like a telephone number, or might be something else entirely.

In theory, tel provides a preferred encoding for telephone numbers. In  
practice, almost nothing uses it.

We've been debating recommendations along this divide steadily for the  
last few weeks.

--
Dean

---

From: Dean Willis <[email-masked]>
Date: Wed, 23 Apr 2008 22:23:36 -0500

On Apr 23, 2008, at 12:29 PM, [email-masked] wrote:

> Hi,
>    I have been an user of SIP for a while, but never got into the  
> need to extend it.  I have tried to do an extensive research to see  
> if there are any draft or RFC that handles the requirements that I  
> am requested to do.  Here is the scenario that I am trying to fulfill.
>
> A UA (custom hardware/software) wants to place or change the call  
> into a secure call.  It notifies the other participant by an INVITE  
> or NOTIFY and both UA agree on the change and the details of the  
> security.  There are several different method of securing the call,  
> and that would be included in the parameter passed between the UA.   
> If this is not possible is there a way to embed the parameters into  
> the header of the INVITE or NOTIFY so at least both UA know of the  
> request?
>

What do you mean, "secured call"? This term means many different  
things to even more different people.

You might look at:

  http://www.ietf.org/internet-drafts/draft-ietf-sip-sips-08.txt

which has completed working group last call and I'm about to send to  
the IESG, and at:

http://www.ietf.org/internet-drafts/draft-ietf-sip-media-security-requirements-04.txt

and

http://www.ietf.org/internet-drafts/draft-ietf-sip-dtls-srtp-framework-01.txt

which, if I recall aright, are currently in working group last call.

--
Dean

---

From: [email-masked]
Date: Mon, 28 Apr 2008 13:14:27 -0400

Hi,
   Yes, it (security) does mean a lot to a lot of different people.
Thanks for all the responses.  I am reading the different suggested RFC
& drafts.  My question was more on how can one UA inform another UA that
it wants to make changes to their session/dialog.  In my case the
security will be different, but I want to have one UA initiate the
secure call (change to session/dialog), and the other UA to confirm.  As
stated I can use the X- header since both clients will be custom.  Is
there any other defined way that 2 UA should have this conversation, is
it only defined in the RFC3264? (An offer/answer model with the session
description protocol)

Thanks Again to everyone that made comments,
Todd

-----Original Message-----
From: Dean Willis [mailto:[email-masked]] 
Sent: Wednesday, 23 April, 2008 11:24 PM
To: Binns, Todd D @ HENSCHEL
Cc: [email-masked]
Subject: Re: [Sip] Passing added call information in the SIP packet

You might look at:

http://www.ietf.org/internet-drafts/draft-ietf-sip-media-security-requir
ements-04.txt

and

http://www.ietf.org/internet-drafts/draft-ietf-sip-dtls-srtp-framework-0
1.txt

--
Dean

---

From: "Dan Wing" <[email-masked]>
Date: Mon, 28 Apr 2008 10:37:13 -0700

> Sent: Monday, April 28, 2008 10:14 AM
> To: [email-masked]

If I understand correctly, you want to start a phone call with
RTP and then when something happens (user remembers to press the
big red "Secure This Call" button??), you want the phone to 
request switching to SRTP.  If that is correct, you would only
need to issue a re-INVITE (new SDP offer in the existing dialog), 
and that new SDP would indicate the phone wants SRTP (with 
an RTP profile of RTP/SAVP).  The remote phone would acknowledge 
that change in its SDP answer.

-d

---

From: "Arun Punj" <[email-masked]>
Date: Mon, 28 Apr 2008 12:57:38 -0500

Todd,

I think in view of participants P1 and P2 of a secure call. The security
could imply following:
If P1 calls P2.
 R1 - P2 can verify that it is P1 who is calling. ( RFC4474 plus
manyother proposals)
 R2 - P1 can verify that is has reached P1        ( RFC4916 +++ )
 R3 - P1 and P2 can communicate data using SRTP ( encrypted)
   R31 -  Keys are hidden from all but P1 and P2. (TLS/Mikey SDES
exposes keys to proxies)
   R32 -  Keys and relevant security parameters can be exchanged betwene
P1 and P2. ( Mikey / SDES).

You want to know if R31 and R32 can be used/changed mid call, that is
the call starts with encryption and then a RE-INVITE is sent which would
change the session to encrypted. This is possible. For example, to do it
using SDES, your initial INVITE could be send without any a=crypto line
and SAVP profile and then could send another Re_INVITE with a=crypto.

Also could do best effort security. Which is put the a=crypto line in
the SDP, however, encryption is used only if both the offer and answer
have a=crypto line in it, otherwise send/receive unencrypted media. 

Best effort security and other endpoint capability negotiation is being
developed further and there a couple of drafts on it out there.

Thanks
Arun

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: Monday, April 28, 2008 1:14 PM
To: [email-masked]
Subject: Re: [Sip] Passing added call information in the SIP packet

Hi,

Thanks Again to everyone that made comments, Todd

-----Original Message-----
From: Dean Willis [mailto:[email-masked]]
Sent: Wednesday, 23 April, 2008 11:24 PM
To: Binns, Todd D @ HENSCHEL
Cc: [email-masked]
Subject: Re: [Sip] Passing added call information in the SIP packet

You might look at:

and

--
Dean

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 28 Apr 2008 14:13:07 -0400

Todd,

I don't recall if you said if/how the signaling is to be secured?
If the initial call is without secure signaling then you presumably need 
to find a way to secure the signaling before exchanging keys for secure 
media.

What do you have in mind here?

	Paul

---

From: [email-masked]
Date: Mon, 28 Apr 2008 15:10:52 -0400

Paul,
   I am still interpreting the requirements, but at this time the
security will move both signaling and RTP stream into a secured tunnel.
So both UAs must make the jump at the same time.  The keys will be
defined at the UA level.

Thanks,
Todd

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: Monday, 28 April, 2008 2:13 PM
To: Binns, Todd D @ HENSCHEL
Cc: [email-masked]
Subject: Re: [Sip] Passing added call information in the SIP packet

Todd,

	Paul